Subject: Server compilation failed due to CFile::copyFile modification (rev436)
Description

Hello,

Since rev436 (http://dev.ryzom.com/projects/ryzom/repository/revisions/436),
the server compilation fail on my computer under ubuntu x64 due to a "CFile::copyFile" error

entities_game_service.o: In function `loadAndResaveCheckCharacters(std::vector<std::basic_string<char,
std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char>
> > > const&, NLMISC::CLog&, bool)':
/code/ryzom/server/src/entities_game_service/entities_game_service.cpp:532: undefined reference to
`NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'
/code/ryzom/server/src/entities_game_service/entities_game_service.cpp:600: undefined reference to
`NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'

../server_share/libserver_share.a(handy_commands.o): In function `utils_copyFileClass::execute(std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, std::vector<std::basic_string<char, std::char_traits<char>,
std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&,
NLMISC::CLog&, bool, bool)':
/code/ryzom/server/src/server_share/handy_commands.cpp:393: undefined reference to
`NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'

backup_file_access.o: In function `CWriteFile::execute(CFileAccessManager&)':
/home/enoril/ryzom/ryzom_code_linux/code/ryzom/server/src/backup_service/backup_file_access.cpp:415: undefined
reference to `NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&,
std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'

web_connection.o: In function `cbRestoreSave(NLMISC::CMemStream&, NLNET::CBufSock*)':
/home/enoril/ryzom/ryzom_code_linux/code/ryzom/server/src/backup_service/web_connection.cpp:341: undefined reference to
`NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'

web_connection.o: In function `cbCopyOverSave(NLMISC::CMemStream&, NLNET::CBufSock*)':
/home/enoril/ryzom/ryzom_code_linux/code/ryzom/server/src/backup_service/web_connection.cpp:434: undefined reference to
`NLMISC::CFile::copyFile(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> > const&, bool, NLMISC::IProgressCallback*)'

Eno

History
#1 - 07/05/2010 10:34 pm - Enoril

Note: this problem doesn't occur under windows os (compilation done with success under 32bits and 64bits).

#2 - 07/05/2010 11:40 pm - Enoril

Ok i find the reason, close this issue please ^^

-> Nel library was not really cleaned as i expected and generate a bad library link.

a real "make clean" solve the problem. (the "$RYZOM_PATH/tools/scripts/linux/build nel clean" command seems to not work properly...)

Thanks to kervala for the tips

#3 - 07/06/2010 08:25 am - kervala
- Status changed from New to Rejected
